Subject: Re: bug#26807: [PATCH] graph: Add Cypher backend.
From: Roel Janssen <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Thu, 11 May 2017 16:29:44 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Roel Janssen writes:

> Ludovic Courtès writes:
>
>> Hi,
>>
>> Roel Janssen <[email-masked]> skribis:
>>
>>> Ludovic Courtès writes:
>>>
>>>> Hello!
>>>>
>>>> Roel Janssen <[email-masked]> skribis:
>>>>
>>>>> From 0e9c95ef3473fa7066ccd5991b1c14400aaa7076 Mon Sep 17 00:00:00 2001
>>>>> From: Roel Janssen <[email-masked]>
>>>>> Date: Sat, 6 May 2017 23:15:03 +0200
>>>>> Subject: [PATCH] graph: Add Cypher backend.
>>>>>
>>>>> * guix/graph.scm (%cypher-backend): New variable.
>>>>
>>>> If Neo4j is free software and packageable (is it Java?), why not!
>>>
>>> Yes, it's Java, so a lot of work to package.
>>>
>>> Fortunately, there is also AgensGraph which is similar to the PostgreSQL
>>> package, and it supports openCypher as well.  So I tried it, and the
>>> queries will work with the latest git checkout of AgensGraph.  Their
>>> latest release does not support automatically creating labels for the
>>> nodes and edges, which was fixed in this commit:
>>>
>>> https://github.com/bitnine-oss/agensgraph/commit/5eaecc1d429a08165bb964013ab8ee5516a062e7
>>>
>>> So I think the output of what my patch produces should be fine for
>>> multiple implementations of openCypher.
>>
>> OK.  Do these tools support interactive visualization in addition to
>> graph queries?
>
> Neo4j does that in a web browser, see:
> https://neo4j.com/developer/guide-data-visualization/
>
> AgensGraph does not AFAIK.  It just looks like (and it is) a PostgreSQL
> prompt.
>
>>
>>>> Could you add a few lines in guix.texi under “Invoking guix graph”?
>>>> Maybe give an example invocation of cypher and explain how it differs
>>>> from the other backends (interactive features maybe?).
>>>
>>> Would the attached patch be fine for the manual?
>>
>> Yes, perfect (please squash it with the patch that adds the new
>> backend).
>>
>> Thank you!
>>
>> Ludo’.
>
> Great!  I will do that.

Pushed in 5899fafbfefcd7682aec8f2caaaad3add678a3c4.

Thanks!

Kind regards,
Roel Janssen